Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4 Topic is solved

Need help upgrading your Joomla! website or converting to Joomla! 4.x?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10.
Post Reply
gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Tue Nov 01, 2022 10:39 am

I'm having a similar issue myself. I managed to get help upgrading my site from v3 to v4.2.2, but I can't apply any of the updates (4.2.3 or 4.2.4). I constantly get the same Access Permission error. I've increased folder and file permissions thinking that was the problem, but that didn't help. I contacted my hosting provider and they went through everything on their end and they couldn't find any issues, either. I'm at a loss at this point.

Here's my FPA report if that gives any of you insight on what can be done to correct the problem.

Forum Post Assistant (v1.6.5) : 1-Nov-2022 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 4.2.2-Stable (Uaminifu) 2-September-2022
Joomla! Configured :: Yes | Read-Only (444) |
Configuration Options :: Offline: false | SEF: true | SEF Suffix: false | SEF ReWrite: true | .htaccess/web.config: Yes | GZip: true | Cache: false | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: false | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: false | SSL: 2 | Error Reporting: none | Site Debug: false | Language Debug: false | Default Access: Public | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 4.2.2: Yes | Database Supports J! 4.2.2: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 3.10.0-1160.76.1.el7.x86_64 | Technology: x86_64 | Web Server: Apache | Encoding: gzip, deflate, br | System TMP Writable: Yes | Free Disk Space : 134.70 GiB |

PHP Configuration :: Version: 8.1.11 | PHP API: cgi-fcgi | Session Path Writable: Yes | Display Errors: 0 | Error Reporting: 32759 | Log Errors To: error_log | Last Known Error: 09th October 2022 01:49:00. | Register Globals: | Magic Quotes: | Safe Mode: | Allow url fopen: 1 | Open Base: | Uploads: 1 | Max. Upload Size: 64M | Max. POST Size: 64M | Max. Input Time: 60 | Max. Execution Time: 30 | Memory Limit: 256M

Database Configuration :: Version: 5.7.40 (Client:mysqlnd 8.1.11) | Database Size: 16.42 MiB | #of Tables with config prefix:  111 | #of other Tables:  0 | User Privileges : GRANT ALL
Detailed Environment :: wrote:PHP Extensions :: Core (8.1.11) | date (8.1.11) | libxml (8.1.11) | openssl (8.1.11) | pcre (8.1.11) | zlib (8.1.11) | filter (8.1.11) | hash (8.1.11) | json (8.1.11) | pcntl (8.1.11) | readline (8.1.11) | Reflection (8.1.11) | SPL (8.1.11) | session (8.1.11) | standard (8.1.11) | cgi-fcgi (8.1.11) | bcmath (8.1.11) | calendar (8.1.11) | ctype (8.1.11) | curl (8.1.11) | dom (20031129) | ftp (8.1.11) | gd (8.1.11) | iconv (8.1.11) | imap (8.1.11) | mbstring (8.1.11) | mysqlnd (mysqlnd 8.1.11) | PDO (8.1.11) | Phar (8.1.11) | posix (8.1.11) | SimpleXML (8.1.11) | sockets (8.1.11) | sqlite3 (8.1.11) | tokenizer (8.1.11) | xml (8.1.11) | xmlwriter (8.1.11) | xsl (8.1.11) | zip (1.19.5) | mysqli (8.1.11) | pdo_mysql (8.1.11) | pdo_sqlite (8.1.11) | xmlreader (8.1.11) | Zend Engine (4.1.11) |
Potential Missing Extensions ::

Switch User Environment :: PHP CGI: Yes | Server SU: Yes | PHP SU: Yes | Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (775) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (755) |

Elevated Permissions (First 10) :: tmp/ (775) | tmp/install_55edc5aae3bd3/ (775) | tmp/install_55edc5aae3bd3/install_55edc5acc4c94/ (775) | tmp/install_55edc5aae3bd3/install_55edc5acc4c94/component/ (775) | tmp/install_55edc5aae3bd3/install_55edc5acc4c94/component/admin/ (775) | tmp/install_55edc5aae3bd3/install_55edc5acc4c94/component/admin/controllers/ (775) | tmp/install_55edc5aae3bd3/install_55edc5acc4c94/component/admin/fields/ (775) | tmp/install_55edc5aae3bd3/install_55edc5acc4c94/component/admin/helpers/ (775) | tmp/install_55edc5aae3bd3/install_55edc5acc4c94/component/admin/language/ (775) | tmp/install_55edc5aae3bd3/install_55edc5acc4c94/component/admin/libraries/ (775) |
Database Information :: wrote:Database statistics :: Uptime: 1835609 | Threads: 1 | Questions: 4534581 | Slow queries: 0 | Opens: 94387 | Flush tables: 1 | Open tables: 2000 | Queries per second avg: 2.470 |
Extensions Discovered :: wrote:Components :: Site ::
Core ::
3rd Party:: WF_AGGREGATOR_AUDIO_TITLE (2.9.30) ? | WF_AGGREGATOR_DAILYMOTION_TITLE (2.9.30) ? | WF_AGGREGATOR_VIDEO_TITLE (2.9.30) ? | WF_AGGREGATOR_VIMEO_TITLE (2.9.30) ? | WF_AGGREGATOR_[youtube]_TITLE (2.9.30) ? | WF_FILESYSTEM_JOOMLA_TITLE (2.9.30) ? | WF_LINKS_JOOMLALINKS_TITLE (2.9.30) ? | WF_POPUPS_JCEMEDIABOX_TITLE (2.9.30) ? | WF_LINK_SEARCH_TITLE (2.9.30) ? | WF_ANCHOR_TITLE (2.9.30) ? | WF_ARTICLE_TITLE (2.9.30) ? | WF_ATTRIBUTES_TITLE (2.9.11) ? | WF_AUTOSAVE_TITLE (2.9.30) ? | WF_BROWSER_TITLE (2.9.30) ? | WF_CHARMAP_TITLE (2.9.30) ? | WF_CLEANUP_TITLE (2.9.30) ? | WF_CLIPBOARD_TITLE (2.9.30) ? | WF_CONTEXTMENU_TITLE (2.9.30) ? | WF_DIRECTIONALITY_TITLE (2.9.30) ? | WF_EMOTIONS_TITLE (2.9.30) ? | WF_FONTCOLOR_TITLE (2.9.30) ? | WF_FONTSELECT_TITLE (2.9.30) ? | WF_FONTSIZESELECT_TITLE (2.9.30) ? | WF_FORMATSELECT_TITLE (2.9.30) ? | WF_FULLSCREEN_TITLE (2.9.30) ? | WF_HELP_TITLE (2.9.30) ? | WF_HR_TITLE (2.9.30) ? | WF_IMGMANAGER_TITLE (2.9.30) ? | WF_KITCHENSINK_TITLE (2.9.30) ? | WF_LAYER_TITLE (2.8.3) ? | WF_LINK_TITLE (2.9.30) ? | WF_LISTS_TITLE (2.9.30) ? | WF_MEDIA_TITLE (2.9.30) ? | WF_NONBREAKING_TITLE (2.9.30) ? | JCE - Noneditable (1.0.0) ? | WF_PREVIEW_TITLE (2.9.30) ? | WF_PRINT_TITLE (2.9.30) ? | WF_REFERENCE_TITLE (2.9.11) ? | WF_SEARCHREPLACE_TITLE (2.9.30) ? | WF_SOURCE_TITLE (2.9.30) ? | WF_SPELLCHECKER_TITLE (2.9.30) ? | WF_STYLE_TITLE (2.9.30) ? | WF_STYLESELECT_TITLE (2.9.30) ? | WF_TABLE_TITLE (2.9.30) ? | WF_TEXTCASE_TITLE (2.9.30) ? | WF_VISUALBLOCKS_TITLE (2.9.30) ? | WF_VISUALCHARS_TITLE (2.9.30) ? | WF_WORDCOUNT_TITLE (2.9.30) ? | WF_XHTMLXTRAS_TITLE (2.9.30) ? |

Components :: Admin ::
Core :: com_actionlogs (3.9.0) 1 | com_admin (4.0.0) 1 | com_ajax (4.0.0) 1 | com_associations (4.0.0) 1 | com_banners (4.0.0) 1 | com_cache (4.0.0) 1 | com_cache (3.0.0) 1 | com_categories (4.0.0) 1 | com_checkin (4.0.0) 1 | com_config (4.0.0) 1 | com_content (4.0.0) 1 | com_contenthistory (4.0.0) 1 | com_cpanel (4.0.0) 1 | com_fields (4.0.0) 1 | com_finder (4.0.0) 1 | com_installer (4.0.0) 1 | com_joomlaupdate (4.0.3) 1 | com_languages (4.0.0) 1 | com_login (4.0.0) 1 | com_mails (4.0.0) 1 | com_media (3.0.0) 1 | com_menus (4.0.0) 1 | com_messages (4.0.0) 1 | com_modules (4.0.0) 1 | com_newsfeeds (4.0.0) 1 | com_plugins (4.0.0) 1 | com_postinstall (4.0.0) 1 | com_privacy (3.9.0) 1 | com_redirect (4.0.0) 1 | com_scheduler (4.1.0) 1 | com_search (4.0.0-dev) 1 | com_tags (4.0.0) 1 | com_templates (4.0.0) 1 | com_users (4.0.0) 1 | com_weblinks (3.0.0) 1 | com_workflow (4.0.0) 1 | com_wrapper (4.0.0) 1 |
3rd Party:: com_djimageslider (4.4) 1 | COM_FWGALLERY (7.1.3) 1 | COM_JCE (2.9.30) 1 | JoomGallery (3.3.4) 0 |

Modules :: Site ::
Core :: mod_articles_archive (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_languages (3.5.0) 1 | mod_login (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_related_items (3.0.0) 1 | mod_search (4.0.0-dev) 1 | mod_stats (3.0.0) 1 | mod_syndicate (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_tags_similar (3.1.0) 1 | mod_users_latest (3.0.0) 1 | mod_weblinks (3.0.0) 1 | mod_whosonline (3.0.0) 1 | mod_wrapper (3.0.0) 1 |
3rd Party:: Better Music Player (1.0) 1 | DJ-ImageSlider (4.4) 1 |

Modules :: Admin ::
Core :: mod_custom (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_frontend (4.0.0) 1 | mod_latest (3.0.0) 1 | mod_latestactions (3.9.0) 1 | mod_logged (3.0.0) 1 | mod_login (3.0.0) 1 | mod_loginsupport (4.0.0) 1 | mod_menu (3.0.0) 1 | mod_messages (4.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_post_installation_messages (4.0.0) 1 | mod_privacy_dashboard (3.9.0) 1 | mod_privacy_status (4.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_sampledata (3.8.0) 1 | mod_stats_admin (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_title (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_user (4.0.0) 1 | mod_version (3.0.0) 1 |
3rd Party::

Libraries ::
Core ::
3rd Party:: file_fof30 (3.7.3) ? | file_fof40 (4.1.0) ? |

Plugins ::
Core :: plg_authentication_cookie (3.0.0) 1 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_ldap (3.0.0) 0 | plg_captcha_recaptcha (3.4.0) 0 | plg_captcha_recaptcha_invisible (3.8) 0 | plg_content_confirmconsent (3.9.0) 0 | plg_content_emailcloak (3.0.0) 1 | plg_content_fields (3.7.0) 0 | plg_content_finder (3.0.0) 0 | plg_content_joomla (3.0.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_pagebreak (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_vote (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 0 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_menu (3.7.0) 0 | plg_editors-xtd_module (3.5.0) 0 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_extension_finder (4.0.0) 1 | plg_extension_joomla (3.0.0) 1 | plg_extension_namespacemap (4.0.0) 1 | plg_finder_categories (3.0.0) 1 | plg_finder_contacts (3.0.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_finder_weblinks (3.0.0) 1 | plg_quickicon_downloadkey (4.0.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_overridecheck (4.0.0) 1 | plg_quickicon_phpversioncheck (3.7.0) 0 | plg_quickicon_privacycheck (3.9.0) 1 | plg_search_categories (4.0.0-dev) 1 | plg_search_contacts (4.0.0-dev) 1 | plg_search_content (4.0.0-dev) 1 | plg_search_newsfeeds (4.0.0-dev) 1 | plg_search_tags (4.0.0-dev) 1 | plg_search_weblinks (3.0.0) 1 | plg_system_accessibility (4.0.0) 0 | plg_system_actionlogs (3.9.0) 0 | plg_system_cache (3.0.0) 0 | plg_system_debug (3.0.0) 1 | plg_system_fields (3.7.0) 0 | plg_system_highlight (3.0.0) 1 | plg_system_httpheaders (4.0.0) 0 | plg_system_jooa11y (4.2.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_languagefilter (3.0.0) 0 | plg_system_log (3.0.0) 1 | plg_system_logout (3.0.0) 1 | plg_system_logrotation (3.9.0) 1 | plg_system_privacyconsent (3.9.0) 0 | plg_system_redirect (3.0.0) 1 | plg_system_remember (3.0.0) 1 | plg_system_schedulerunner (4.1) 1 | plg_system_sef (3.0.0) 1 | plg_system_sessiongc (3.8.6) 1 | plg_system_shortcut (4.2.0) 1 | plg_system_skipto (4.0.0) 1 | plg_system_stats (3.5.0) 0 | plg_system_task_notification (4.1) 1 | plg_system_updatenotification (3.5.0) 0 | plg_system_webauthn (4.0.0) 1 | plg_user_contactcreator (3.0.0) 0 | plg_user_joomla (3.0.0) 1 | plg_user_profile (3.0.0) 0 | plg_user_terms (3.9.0) 0 | plg_user_token (3.9.0) 1 | plg_actionlog_joomla (3.9.0) 1 | plg_api-authentication_basic (4.0.0) 0 | plg_api-authentication_token (4.0.0) 1 | plg_behaviour_taggable (4.0.0) 1 | plg_behaviour_versionable (4.0.0) 1 | plg_fields_calendar (3.7.0) 0 | plg_fields_checkboxes (3.7.0) 0 | plg_fields_color (3.7.0) 0 | plg_fields_editor (3.7.0) 0 | plg_fields_imagelist (3.7.0) 0 | plg_fields_integer (3.7.0) 0 | plg_fields_list (3.7.0) 0 | plg_fields_media (3.7.0) 0 | plg_fields_radio (3.7.0) 0 | plg_fields_sql (3.7.0) 0 | plg_fields_subform (4.0.0) 1 | plg_fields_text (3.7.0) 0 | plg_fields_textarea (3.7.0) 0 | plg_fields_url (3.7.0) 0 | plg_fields_user (3.7.0) 0 | plg_fields_usergrouplist (3.7.0) 0 | plg_filesystem_local (4.0.0) 1 | plg_installer_folderinstaller (3.6.0) 1 | plg_installer_override (4.0.0) 1 | plg_installer_packageinstaller (3.6.0) 1 | plg_installer_urlinstaller (3.6.0) 1 | plg_installer_webinstaller (4.0.0) 1 | plg_media-action_crop (4.0.0) 1 | plg_media-action_resize (4.0.0) 1 | plg_media-action_rotate (4.0.0) 1 | plg_multifactorauth_email (4.2.0) 0 | plg_multifactorauth_fixed (4.2.0) 0 | plg_multifactorauth_totp (3.2.0) 0 | plg_multifactorauth_webauthn (4.2.0) 0 | plg_multifactorauth_yubikey (3.2.0) 0 | plg_privacy_actionlogs (3.9.0) 1 | plg_privacy_consents (3.9.0) 1 | plg_privacy_content (3.9.0) 1 | plg_privacy_message (3.9.0) 1 | plg_privacy_user (3.9.0) 1 | plg_sampledata_multilang (4.0.0) 1 | plg_task_check_files (4.1) 1 | plg_task_demo_tasks (4.1) 1 | plg_task_requests (4.1) 1 | plg_task_site_status (4.1) 1 | plg_webservices_banners (4.0.0) 1 | plg_webservices_config (4.0.0) 1 | plg_webservices_content (4.0.0) 1 | plg_webservices_installer (4.0.0) 1 | plg_webservices_languages (4.0.0) 1 | plg_webservices_media (4.1.0) 1 | plg_webservices_menus (4.0.0) 1 | plg_webservices_messages (4.0.0) 1 | plg_webservices_modules (4.0.0) 1 | plg_webservices_newsfeeds (4.0.0) 1 | plg_webservices_plugins (4.0.0) 1 | plg_webservices_privacy (4.0.0) 1 | plg_webservices_redirect (4.0.0) 1 | plg_webservices_tags (4.0.0) 1 | plg_webservices_templates (4.0.0) 1 | plg_webservices_users (4.0.0) 1 | plg_workflow_featuring (4.0.0) 1 | plg_workflow_notification (4.0.0) 1 | plg_workflow_publishing (4.0.0) 1 |
3rd Party:: plg_content_jce (2.9.30) 1 | AllVideos (by JoomlaWorks) (6.1.0) 1 | AllVideos (by JoomlaWorks) (6.1.0) 1 | PLG_CONTENT_OSEMBED (2.0.1) 1 | plg_editors_codemirror (5.65.6) 1 | plg_editors_jce (2.9.30) 1 | plg_editors_tinymce (5.10.5) 1 | plg_extension_jce (2.9.30) 1 | plg_quickicon_jce (2.9.30) 1 | System - Helix Framework (2.2) ? | System - Helix Ultimate Framework (2.0.11) 1 | plg_system_jce (2.9.30) 1 | plg_system_osmylicensesmanager (2.0.15) 1 | plg_fields_mediajce (2.9.30) 1 | plg_installer_jce (2.9.30) 1 |
Templates Discovered :: wrote:Templates :: Site :: cassiopeia (1.0) 1 | shaper_helixultimate (2.0.11) 1 | shaper_helix_ii (2.1.3) 1 |
Templates :: Admin :: atum (1.0) 1 |
You do not have the required permissions to view the files attached to this post.
Last edited by imanickam on Tue Nov 01, 2022 2:18 pm, edited 1 time in total.
Reason: Split from the topic https://forum.joomla.org/viewtopic.php?f=812&t=997474. In the future, for your issue/question, please create a separate topic. Even though the symptom may be the same, the root cause could be different due to varying environments.

User avatar
Rondeb
Joomla! Guru
Joomla! Guru
Posts: 543
Joined: Mon Dec 02, 2013 12:14 pm
Location: Meschede - Germany
Contact:

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Rondeb » Tue Nov 01, 2022 4:43 pm

Hi,

Have you tried manual update with update package?
www.yoursite.com/administrator/index.ph ... omlaupdate
up.jpg
Regards Ron :)
You do not have the required permissions to view the files attached to this post.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 42342
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Webdongle » Tue Nov 01, 2022 7:33 pm

Folders should be 755
Have you checked the .htaccess?
Do you have a firewall?
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 15426
Joined: Thu Feb 15, 2007 5:48 am
Location: Sydney, Australia

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by toivo » Tue Nov 01, 2022 9:01 pm

Go to Global Configuration and change 'Error Reporting' from 'None' to 'Maximum'. That setting should display error messages, rather than filter them.

The Debug option will also help to identify the root cause because it will display the call stack after errors.
Toivo Talikka, Global Moderator

gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Fri Nov 04, 2022 3:47 pm

Thanks to all for the responses. Let me answer all the questions at once.

1. Tried the manual upload and update. Same error. Checked the .htaccess file. No issues. Got online with my hosting provider and checked the firewall. No settings that would restrict anything related to running or updating the site or Joomla configuration.
2. Changed the permissions back to original settings.
3. Set error reporting to Maximum in the Global Configuration. Nothing displays in the admin portal. I do, however, get the following when viewing the error.php and Joomla_update.php files:

error.php -

2022-11-04T15:13:24+00:00 INFO 185.119.81.99 joomlafailure Username and password do not match or you do not have an account yet.

joomla_update.php -

2022-11-04T15:23:23+00:00 INFO 173.170.78.180 update File Joomla_4.2.4-Stable-Update_Package.zip downloaded.
2022-11-04T15:23:23+00:00 INFO 173.170.78.180 update Starting installation of new version.

That's it. That's all I can find.

I don't understand the Joomlafailure Username and password do not match or you do not have an account error. I have full administrator access to everything on the site and in the admin portal. The site runs fine. I just can't get past the Access Forbidden error for some reason.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 42342
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Webdongle » Fri Nov 04, 2022 5:01 pm

Firstly the manual update method has not been used for some time. If you have manually uploaded the files and overwritten the existing files you have broke yore site.

Helix II is now V2.6 and is quick install from J3. If you used a quick install that could be causing the update problems. Also not uninstalling Helix II that could cause problems as well.

If you originally used the quickstart package to install Joomla perhaps contact Joomshaper and ask if they have an update package for their version of Joomla?
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Wed Nov 09, 2022 8:02 pm

Webdongle wrote:
Fri Nov 04, 2022 5:01 pm
Firstly the manual update method has not been used for some time. If you have manually uploaded the files and overwritten the existing files you have broke yore site.

Helix II is now V2.6 and is quick install from J3. If you used a quick install that could be causing the update problems. Also not uninstalling Helix II that could cause problems as well.

If you originally used the quickstart package to install Joomla perhaps contact Joomshaper and ask if they have an update package for their version of Joomla?
I've never used the manual update method until someone (see above posts) suggested it. Needless to say, that didn't work, either. Same error message.

Never used any quick install features when running J3 and didn't use any such install package to get to J4.2.2. I had to have all update issues resolved (extension updates, etc.) before I could even do the upgrade/migration. All went very well when accomplished. That's why I can't understand this issue with trying to update from J4.2.2 to (originally) 4.2.3 and now to 4.2.4.

As I stated before, I've gone through everything I can possibly think of that might give me problems with access - firewall, file/folder permissions, etc. Nothing makes sense to me. My hosting provider is baffled, the company that helped with the migration is stumped, I'm stumped. Nobody seems to be able to figure it out. Everything is conjecture at best - grabbing at straws. You would think that those who created and continue the design and functions of Joomla would be able to give some type of intelligent solution to the problem.

I'm stuck and nothings seems to help.

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 29625
Joined: Mon Oct 27, 2008 9:27 pm
Location: Romerike, Norway

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Per Yngve Berg » Wed Nov 09, 2022 8:54 pm

It can also be a rule configured in mod_security on the server.

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 15426
Joined: Thu Feb 15, 2007 5:48 am
Location: Sydney, Australia

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by toivo » Wed Nov 09, 2022 9:04 pm

gfliger51 wrote:
Tue Nov 01, 2022 10:39 am
System - Helix Framework (2.2) ? | System - Helix Ultimate Framework (2.0.11) 1
Helix Framework 2.2 is an old Joomla 3 plugin. Uninstall it and check if that makes a difference.
Toivo Talikka, Global Moderator

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 42342
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Webdongle » Wed Nov 09, 2022 10:59 pm

The method described by @Rondeb is 'Upload and Update' not manual update

You haven't actually described step by step what happens when you try to update
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Fri Nov 18, 2022 7:08 pm

Webdongle wrote:
Wed Nov 09, 2022 10:59 pm
The method described by @Rondeb is 'Upload and Update' not manual update

You haven't actually described step by step what happens when you try to update
Actually, I did. If you look at the attachment above you'll see the "Access Permission" message screen I get. That's ALL I get. There are no other accompanying messages or errors other than that.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 42342
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Webdongle » Fri Nov 18, 2022 8:03 pm

gfliger51 wrote:
Fri Nov 18, 2022 7:08 pm
...
Actually, I did. If you look at the attachment above you'll see the "Access Permission" message screen I get. That's ALL I get. There are no other accompanying messages or errors other than that.
That doesn't describe how you reached Joomla Admin. Right hand side has 'cPanel Login' Highlighted. Are you trying to login from your Host's CP to update a Joomla that was installed via your Host's CP?

The Helix Ultimate Template stand alone is for J3 only. The J4 version is a startup package. It is doubtful that is causing the problem but it is something you need to address.

Have you checked to see if anything in .htaccess is causing the problem?
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 42342
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Webdongle » Sun Nov 20, 2022 5:51 pm

gfliger51 wrote:
Wed Nov 09, 2022 8:02 pm
...
Never used any quick install features when running J3 and didn't use any such install package to get to J4.2.2. I had to have all update issues resolved (extension updates, etc.) before I could even do the upgrade/migration. All went very well when accomplished. That's why I can't understand this issue with trying to update from J4.2.2 to (originally) 4.2.3 and now to 4.2.4....
If you installed using cPanel then you used a 3rd party quick install. That would be why you had (and still have) problems updating.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Sun Nov 20, 2022 10:30 pm

Webdongle wrote:
Sun Nov 20, 2022 5:51 pm
If you installed using cPanel then you used a 3rd party quick install. That would be why you had (and still have) problems updating.
Didn't use cPanel. Used the full upgrade package.

Somebody mentioned there may be a rule stopping the update in mod_security. I have to get with my host to check on that.
Last edited by toivo on Mon Nov 21, 2022 12:26 am, edited 1 time in total.
Reason: mod note: added quote tags

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 42342
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Webdongle » Mon Nov 21, 2022 12:07 am

I said "If you installed using cPanel" not updated with. I also asked why the cPanel was high lighted in the menu in your image. Do you login to Joomla admin via cPanel or via site.com/administrator?
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Mon Nov 21, 2022 1:37 pm

Webdongle wrote:
Mon Nov 21, 2022 12:07 am
I said "If you installed using cPanel" not updated with. I also asked why the cPanel was high lighted in the menu in your image. Do you login to Joomla admin via cPanel or via site.com/administrator?
Via site.com/administrator. I'm trying to to the update through the Joomla Admin dashboard.

gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Wed Nov 23, 2022 3:15 pm

Just to clarify: I log into Joomla Admin by going to the actual website admin portal (mywebsitename.com/administrator) . What you saw was concerning cPanel was my bookmark list in the left pane of the image.

I got with my host provider and had them go in and completely disable all mod_security rules for a bit so we could retry the update. I still got the Access Forbidden message so it apparently has nothing to do with that. They also had me clear the site's cache and then change my caching setting to "Site Caching" from just "Caching". That didn't make any difference, either. My .htaccess file has no restrictions concerning this issue and I don't have any web_config file. I don't know where else to go. Everything, and I mean everything, everybody has suggested to correct the issue just plain doesn't work.

User avatar
AMurray
Joomla! Exemplar
Joomla! Exemplar
Posts: 8316
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by AMurray » Wed Nov 23, 2022 10:11 pm

web.config is for Windows hosting (by that I mean Internet Information Services (IIS)), not applicable to Apache (whether on Windows or Linux). (Web.config is the equivalent of .htaccess).
Regards - A Murray

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 42342
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Webdongle » Thu Nov 24, 2022 12:12 am

Can you use Wamp on your PC? If so use Akeeba to copy your site to Wamp localhost. If it updates there it rules out Joomla being the problem.

Is your Host gddy by any chance?
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Wed Nov 30, 2022 3:11 pm

toivo wrote:
Tue Nov 01, 2022 9:01 pm
Go to Global Configuration and change 'Error Reporting' from 'None' to 'Maximum'. That setting should display error messages, rather than filter them.

The Debug option will also help to identify the root cause because it will display the call stack after errors.
Followed your suggestions: Here's what I get:

[error.php]
2022-11-15T15:51:45+00:00 INFO 185.119.81.100 joomlafailure Username and password do not match or you do not have an account yet.

[joomla_update.php]
2022-11-30T14:49:39+00:00 INFO 173.170.78.180 update Update started by user George (649). Old version is 4.2.2.
2022-11-30T14:49:41+00:00 INFO 173.170.78.180 update File Joomla_4.2.5-Stable-Update_Package.zip downloaded.
2022-11-30T14:49:41+00:00 INFO 173.170.78.180 update Starting installation of new version.

[everything.php]
2022-11-30T14:53:56+00:00 INFO 173.170.78.180 updater Loading information from update site #4 with name "Joomla! Update Component" and URL http://update.joomla.org/core/extension ... update.xml took 0.13 seconds
2022-11-30T14:53:56+00:00 INFO 173.170.78.180 updater Loading information from update site #11 with name "Joomla! Update Component" and URL https://update.joomla.org/core/extensio ... update.xml took 0.05 seconds
2022-11-30T14:54:03+00:00 INFO 173.170.78.180 update Update started by user George (649). Old version is 4.2.2.
2022-11-30T14:54:06+00:00 INFO 173.170.78.180 update File Joomla_4.2.5-Stable-Update_Package.zip downloaded.
2022-11-30T14:54:06+00:00 INFO 173.170.78.180 update Starting installation of new version.

That's everything. The one that has me puzzled is the first (error.php). I'm not sure what the username and password entry means. I have access to everything I'm supposed to have access to.

I've had my host provider check everything suggested here and I still get the Access Forbidden error.

gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Wed Nov 30, 2022 3:15 pm

Webdongle wrote:
Thu Nov 24, 2022 12:12 am
Can you use Wamp on your PC? If so use Akeeba to copy your site to Wamp localhost. If it updates there it rules out Joomla being the problem.

Is your Host gddy by any chance?
Sorry, don't have Wamp on my PC. Also, don't have Akeeba installed. My host provider does a complete site backup every night. I have, however, downloaded a .zip copy of the entire site to my local PC.

Yes, GoDaddy is our Host.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 42342
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Webdongle » Wed Nov 30, 2022 3:54 pm

gfliger51 wrote:
Wed Nov 30, 2022 3:15 pm
... I have, however, downloaded a .zip copy of the entire site to my local PC.

Yes, GoDaddy is our Host.
hmmmmm zip of the files is not enough, you need the database as well.

gddy huh, you might have problems resolving your issues with that Host.

imho this is almost certainly a server issue.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Fri Dec 02, 2022 5:09 pm

Webdongle wrote:
Wed Nov 30, 2022 3:54 pm
gfliger51 wrote:
Wed Nov 30, 2022 3:15 pm
... I have, however, downloaded a .zip copy of the entire site to my local PC.

Yes, GoDaddy is our Host.
hmmmmm zip of the files is not enough, you need the database as well.

gddy huh, you might have problems resolving your issues with that Host.

imho this is almost certainly a server issue.
Actually, the .zip file includes a copy of the database. And as for the host, I created a support ticket when their usual technicians were unable to find any issues. They finally got back with me with the suggestions (about the caching and such) that I mentioned before. When those suggestions failed I provided them with a snapshot of everything I was seeing and included credentials so they could go in just like I do and see things for themselves. Even with all that, their developers were not able to figure out what the cause of the error was. They stated that everything was working as expected and saw no unusual settings in the server or site configuration or the firewall. They did admit, however, that they're not well versed on Joomla, having more expertise in WordPress. Again, I wish I had a clue as to what is the problem, why it's happening, and how to fix it so I don't run into this in the future. I'm of the opinion that it has something to do with Joomla itself, but I have no idea of where to look.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 42342
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by Webdongle » Fri Dec 02, 2022 5:32 pm

gfliger51 wrote:
Fri Dec 02, 2022 5:09 pm
...
Even with all that, their developers were not able to figure out what the cause of the error was. They stated that everything was working as expected and saw no unusual settings in the server or site configuration or the firewall. ...
Yes "gddy huh, you might have problems resolving your issues with that Host"



gfliger51 wrote:
Fri Dec 02, 2022 5:09 pm
...
I wish I had a clue as to what is the problem, why it's happening, and how to fix it so I don't run into this in the future. I'm of the opinion that it has something to do with Joomla itself...
Nope it's gddy, they can't set their servers correctly. They have an account on here but gave up 9 years ago when they couldn't get anything correct memberlist.php?mode=viewprofile&u=139068

Perhaps check out some of the posts where they try to help search.php?author_id=139068&sr=posts they fail.

You could turn off ssl in Global config

Easiest way to check is set up Wamp on your PC and use Akeeba to transfer the site. When it works on localhost you will see it's gddy are no good.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

gfliger51
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Sat Feb 27, 2021 12:55 pm

Re: Could Not Update from J! 4.2.2 to 4.2.3 or 4.2.4

Post by gfliger51 » Fri Dec 02, 2022 5:45 pm

Per Yngve Berg wrote:
Wed Nov 09, 2022 8:54 pm
It can also be a rule configured in mod_security on the server.
Well folks, I'm happy to report I FINALLY figured out the problem and it was simple (though why I had to do it doesn't equate for me).

I went into my firewall's settings and under Access Control I had to whitelist the following URL:

com_joomlaupdate/extract.php

Once I did that I ran the update again and it went without a hitch.Who would have thought?

So, if you happen to run into a similar issue with someone else's Joomla setup, this is something that might be required to correct the problem.

In any case, thanks to all who posted suggestions and tried to help. I truly appreciate your efforts.


Post Reply

Return to “Migrating and Upgrading to Joomla! 4.x”